* SAS data retrieval routine to read the file named "ndp049.dat";               
*;                                                                              
DATA NDP049;                                                                    
  INFILE 'ndp049.dat';                                                          
  IF _N_=1 THEN INPUT ////// CMONTH $ 1-2 CDAY $ 4-5 CYEAR $ 7-8 NSAMP $ 11     
    @14 LOCN $CHAR26. @42 LAT $CHAR9. @53 LON $CHAR11. AMONTH $ 66-67           
    ADAY $ 69-70 AYEAR $ 72-73 AFLAG $ 75 @78 CONC 5.3 @85 C13MEAS 6.2          
    OFLAG $ 92 @95 C13CORR 6.2 AVCODE $ 102-103;                                
  ELSE INPUT CMONTH $ 1-2 CDAY $ 4-5 CYEAR $ 7-8 NSAMP $ 11 @14 LOCN $CHAR26.   
    @42 LAT $CHAR9. @53 LON $CHAR11. AMONTH $ 66-67 ADAY $ 69-70 AYEAR $ 72-73  
    AFLAG $ 75 @78 CONC 5.3 @85 C13MEAS 6.2 OFLAG $ 92 @95 C13CORR 6.2          
    AVCODE $ 102-103;                                                           
  FILE 'output';                                                                
  PUT CMONTH 1-2 CDAY 4-5 CYEAR 7-8 NSAMP 11 @14 LOCN $CHAR26.                  
    @42 LAT $CHAR9. @53 LON $CHAR11. AMONTH 66-67 ADAY 69-70 AYEAR 72-73        
    AFLAG 75 @78 CONC 5.3 @85 C13MEAS 6.2 OFLAG 92 @95 C13CORR 6.2              
    AVCODE 102-103;                                                             
RUN;                                                                            
